Skip to main content
GET
/
policy
/
roles
List of Roles
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/policy/roles \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "policy_type": "directory_attribute",
    "workspace_integration_id": "<string>",
    "name": "<string>",
    "handle": "<string>",
    "integration_reference": "<string>",
    "sort_order": 123,
    "is_imported": true,
    "count": [
      "<string>"
    ],
    "timestamp": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    },
    "links": {
      "self": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:policy_type, sort_order, name

Available sorts are id, policy_type, workspace_integration_id, name, handle, integration_reference, created_at, updated_at, -id, -policy_type, -name, -handle, -integration_reference, -created_at, -updated_at. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -id.

filter[id]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

filter
string
filter[policy_type]
string

Filter by policy type

filter[workspace_integration_id]
string

Filter by workspace integration ID

filter[name]
string

Filter by an exact match of the display name field

filter[handle]
string

Filter by an exact match of the display name field

filter[integration_reference]
string

Filter by an exact match of the display name field

Response

The collection of PolicyRoleDetailedResponseData

id
string
required
Example:

"porol_01hq8xyzabc123def456ghi789"

policy_type
enum<string>
required

The policy type that this role applies to

directory_attribute
Provisionr Dimension Attribute. This acts as a reusable ruleset for other Attributes, Groups or Resources
gitlab_group
GitLab Group. This is used for granting access to child groups and projects, or inviting membership groups to other groups or projects.
gitlab_project
GitLab Project. This is used for managing members of a specific project.
google_drive_doc
Google Drive Document. This is used for managing members of a Google Docs file.
google_drive_file
Google Drive File. This is used for managing members of a Google Drive uploaded file (ex. PDF).
google_drive_folder
Google Drive Folder. This is used for managing members of a Google Drive folder.
google_drive_deck
Google Drive Slidedeck. This is used for managing members of a Google Slides file.
google_drive_sheet
Google Drive Spreadsheet. This is used for managing members of a Google Sheets file.
google_identity_group
Google Cloud Identity Group. This is used for Cloud Identity Groups that can be used for access management.
google_workspace_drive
Google Workspace Shared Drive. This is used for managing members of a Google Shared Drive in Google Workspace.
google_workspace_group
Google Workspace Group. This is used for Workspace Groups that can be used for email distribution lists and access management.
okta_group
Okta Group. This is used for managing members of a group that is assigned to one or more to Okta Apps.
slack_connect_channel
Slack Connect Channel.
slack_public_channel
Slack Public Channel. This is used for inviting users to Slack public channels.
slack_private_channel
Slack Private Channel. This is used for inviting users to Slack private channels.
slack_group
Slack User Group. This can be used for taggable user groups or adding user groups to channels.
Available options:
directory_attribute,
gitlab_group,
gitlab_project,
google_drive_doc,
google_drive_file,
google_drive_folder,
google_drive_deck,
google_drive_sheet,
google_identity_group,
google_workspace_drive,
google_workspace_group,
okta_group,
slack_connect_channel,
slack_public_channel,
slack_private_channel,
slack_group
workspace_integration_id
string | null
required

The Workspace Integration ID that this role is associated with

Example:

"wsitg_01hq8xyzabc123def456ghi789"

name
string
required

Title Case human readable name

handle
string
required

alpha-dash string that is similar to the name or uses shorthand abbreviations

integration_reference
string | null
required

The vendor-specific name or ID used in API queries

sort_order
integer | null
required

Sort order for display purposes. Lower numbers appear first

Example:

10

is_imported
boolean
required

Whether this is a system-defined role (true) or user-created (false)

Example:

true

count
string[]
required

Count of related records.

This is empty for now but reserved for future use and consistency with API patterns

timestamp
TimestampBasicData · object
required

The timestamps for the role record

API hyperlinks related to the role record

Example:
{
"self": "https://ws-a1b2c3.provisionr.io/api/v1/policy/roles/porol_01hq8xyzabc123def456ghi789"
}